Subject: bug#22705: closed (audacity help doesn't work)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 11 May 2020 20:17:02 +0000

Your bug report

#22705: audacity help doesn't work

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
22705: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=22705
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: audacity help doesn't work
From: Ricardo Wurmus <[email-masked]>
To: [email-masked]
Cc: Danny Milosavljevic <[email-masked]>
Date: Mon, 11 May 2020 22:16:42 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Bug #22704 is fixed, so while I get the notification box that tells me
that the manual is not installed I can simply click on the link to open
it in a browser.

It also tells me to go to Preferences if I want to always open the
manual in my browser, which works fine.

The only way to include the manual is to download the wiki, and we can’t
do that reproducibly, so we cannot make it a fixed output derivation.
As it’s not feasible for us to include the manual, I’m closing this
issue.

--
Ricardo

Subject: audacity help doesn't work
From: Danny Milosavljevic <[email-masked]>
To: [email-masked]
Date: Tue, 16 Feb 2016 20:20:52 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Package: audacity

Running audacity and then opening Help -> Manual doesn't work since, among other things, it defaults to using the local help (non-internet) and can't find it.

I'd suggest one of
(1) automatically install the local manual as well, or
(2) default HelpMode to internet help (see audacity-minsrc-2.1.2/src/widgets/HelpSystem.cpp HelpSystem::ShowHelpDialog)

Audacity does provide an error dialog with a link where the user could download the manual - but it doesn't work since xdg-open is not installed (see bug# 22704).